Wissensdatenbank
Buehl, Kevin
07 Dezember 2015
3.073

Wissensdatenbank

Debian wget ERROR: The certificate of '4b42.com' is not trusted.

Inhaltsverzeichnis

Situation


Ich hatte heute auf einem Test VPS das Problem, das ich nicht mit wget von einer SSL geschützten Seite herunterladen konnte:
converted 'https://api.4b42.com/tools/security/blacklist.text' (ANSI_X3.4-1968) -> 'https://api.4b42.com/tools/security/blacklist.text' (UTF-8) --2015-12-07 08:37:48-- https://api.4b42.com/tools/security/blacklist.text Resolving api.4b42.com (api.4b42.com)... 188.165.2.254 Connecting to api.4b42.com (api.4b42.com)|188.165.2.254|:443... connected. ERROR: The certificate of 'api.4b42.com' is not trusted. ERROR: The certificate of 'api.4b42.com' hasn't got a known issuer.


Lösung


Die Lösung ist recht simpel, die Zertifikate können nicht auf gültigkeit geprüft werden, da folgendes Paket fehlt:
apt-get install ca-certificates
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
openssl
The following NEW packages will be installed:
ca-certificates openssl
0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
Need to get 877 kB of archives.
After this operation, 1591 kB of additional disk space will be used.
Do you want to continue? [Y/n] y
Get:1 http://security.debian.org/ jessie/updates/main openssl amd64 1.0.1k-3+deb8u2 [677 kB]
Get:2 http://ftp.debian.org/debian/ jessie/main ca-certificates all 20141019 [200 kB]
Fetched 877 kB in 0s (6108 kB/s)
debconf: delaying package configuration, since apt-utils is not installed
Selecting previously unselected package openssl.
(Reading database ... 13979 files and directories currently installed.)
Preparing to unpack .../openssl_1.0.1k-3+deb8u2_amd64.deb ...
Unpacking openssl (1.0.1k-3+deb8u2) ...
Selecting previously unselected package ca-certificates.
Preparing to unpack .../ca-certificates_20141019_all.deb ...
Unpacking ca-certificates (20141019) ...
Setting up openssl (1.0.1k-3+deb8u2) ...
Setting up ca-certificates (20141019) ...
debconf: unable to initialize frontend: Dialog
debconf: (No usable dialog-like program is installed, so the dialog based frontend cannot be used. at /usr/share/perl5/Debconf/FrontEnd/Dialog.pm line 76.)
debconf: falling back to frontend: Readline
Processing triggers for ca-certificates (20141019) ...
Updating certificates in /etc/ssl/certs...

173 added, 0 removed; done.
Running hooks in /etc/ca-certificates/update.d....done.